
<form name="form1" method="post" action="?action=sort_add">
  <table width="100%" border="0" cellspacing="1" cellpadding="0" bgcolor="dedede">
    <tr bgcolor="#FFFFFF"> 
      <td colspan="2">添加小类程式</td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td width="18%">所属大类</td>
      <td width="82%"> 
        <select name="cate_id">
          <?php 
	  for($i=0;$i<$total;$i++){
	  list($cate_time)=explode("|",$array[$i]);
	  echo"<option value=\"$i\">${sort.$cate_time}</option>\n";
	  }
	  ?>
        </select>
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td width="18%">小类名称</td>
      <td width="82%">
        <input type="text" name="newsort">
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td colspan="2">
        <input type="submit" name="Submit" value="提交">
        <input type="reset" name="Submit2" value="重置">
      </td>
    </tr>
  </table>
</form>

<form name="form2" method="post" action="?action=sort_edit">
  <table width="100%" border="0" cellspacing="1" cellpadding="0" bgcolor="dedede">
    <tr bgcolor="#FFFFFF"> 
      <td colspan="2">修改小类程式</td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td width="15%">原类名</td>
      <td width="85%">
        <select name="sort_time">
		<?php
	     for($i=0;$i<$total;$i++){
		     $newarr=explode("|",$array[$i]);
			 for($j=1;$j<sizeof($newarr);$j++){
			     echo"<option value=\"$newarr[$j]\">${sort.$newarr[0]}--${sort.$newarr[$j]}</option>\n";
			 }
		 }
		?>
        </select>
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td width="15%">新类名</td>
      <td width="85%">
        <input type="text" name="newsort">
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td colspan="2">
        <input type="submit" name="Submit3" value="提交">
        <input type="reset" name="Submit32" value="重置">
      </td>
    </tr>
  </table>
</form>
<form name="form3" method="post" action="?action=sort_del">
  <table width="100%" border="0" cellspacing="1" cellpadding="0" bgcolor="dedede">
    <tr bgcolor="#FFFFFF"> 
      <td colspan="2">删除小类程式(<font color="#FF0000">*</font>将删除其下的所有的软件,慎用)</td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td width="15%">小类名</td>
      <td width="85%"> 
        <select name="sort_id">
          <?php
	     for($i=0;$i<$total;$i++){
		     $newarr=explode("|",$array[$i]);
			 for($j=1;$j<sizeof($newarr);$j++){
			     echo"<option value=\"$newarr[$j]\">${sort.$newarr[0]}--${sort.$newarr[$j]}</option>\n";
			 }
		 }
		?>
        </select>
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td colspan="2"> 
        <input type="submit" name="Submit33" value="删除">
      </td>
    </tr>
  </table>
</form>
<form name="form4" method="post" action="?action=sort_exchange">
  <table width="100%" border="0" cellspacing="1" cellpadding="0" bgcolor="dedede">
    <tr bgcolor="#FFFFFF"> 
      <td colspan="2">位置交换</td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td width="12%">类别1</td>
      <td width="88%">
        <select name="old">
          <?php
	     for($i=0;$i<$total;$i++){
		     $newarr=explode("|",$array[$i]);
			 for($j=1;$j<sizeof($newarr);$j++){
			     echo"<option value=\"$newarr[$j]\">${sort.$newarr[0]}--${sort.$newarr[$j]}</option>\n";
			 }
		 }
		?>
        </select>
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td width="12%">类别2</td>
      <td width="88%">
        <select name="new">
          <?php
	     for($i=0;$i<$total;$i++){
		     $newarr=explode("|",$array[$i]);
			 for($j=1;$j<sizeof($newarr);$j++){
			     echo"<option value=\"$newarr[$j]\">${sort.$newarr[0]}--${sort.$newarr[$j]}</option>\n";
			 }
		 }
		?>
        </select>
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td colspan="2">
        <input type="submit" name="Submit4" value="位置交换">
      </td>
    </tr>
  </table>
</form>
